Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Object_KeyC.cpp File Reference

`#include "tao/Object_KeyC.h"`
`#include "tao/Typecode.h"`
`#include "Object_KeyC.i"`

Include dependency graph for Object_KeyC.cpp:

## Functions
CORBA::TypeCode | _tc_TAO_tc_TAO__tao_seq_Octet (CORBA::tk_sequence, sizeof (_oc_TAO__tao_seq_Octet), (char *) &_oc_TAO__tao_seq_Octet, 0, sizeof (TAO_ObjectKey))
CORBA::TypeCode | _tc_TAO_tc_TAO_ObjectKey (CORBA::tk_alias, sizeof (_oc_TAO_ObjectKey), (char *) &_oc_TAO_ObjectKey, 0, sizeof (TAO_ObjectKey))
## Variables
const char* get_rcsid_tao _ const CORBA::Long | _oc_TAO__tao_seq_Octet []
CORBA::TypeCode_ptr | TAO_tc__tao_seq_Octet = &_tc_TAO_tc_TAO__tao_seq_Octet
const CORBA::Long | _oc_TAO_ObjectKey []
CORBA::TypeCode_ptr | TAO_tc_ObjectKey = &_tc_TAO_tc_TAO_ObjectKey

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_TAO_ObjectKey ( | CORBA::tk_alias,
| sizeof(_oc_TAO_ObjectKey),
| (char *)& _oc_TAO_ObjectKey,
| 0,
| sizeof(TAO_ObjectKey) )

CORBA::TypeCode _tc_TAO_tc_TAO__tao_seq_Octet ( | CORBA::tk_sequence,
| sizeof(_oc_TAO__tao_seq_Octet),
| (char *)& _oc_TAO__tao_seq_Octet,
| 0,
| sizeof(TAO_ObjectKey) )

## Variable Documentation

CORBA::TypeCode_ptr TAO_tc_ObjectKey = &_tc_TAO_tc_TAO_ObjectKey

CORBA::TypeCode_ptr TAO_tc__tao_seq_Octet = &_tc_TAO_tc_TAO__tao_seq_Octet

const CORBA::Long _oc_TAO_ObjectKey[]

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      22, ACE_NTOHL (0x49444c3a), ACE_NTOHL (0x54414f2f), ACE_NTOHL (0x4f626a65), ACE_NTOHL (0x63744b65), ACE_NTOHL (0x793a312e), ACE_NTOHL (0x3000fdfd),
      10, ACE_NTOHL (0x4f626a65), ACE_NTOHL (0x63744b65), ACE_NTOHL (0x7900fdfd),
      CORBA::tk_sequence,
      12,
        TAO_ENCAP_BYTE_ORDER,
        CORBA::tk_octet,

      0,
    }

const char *get_rcsid_tao _ const CORBA::Long _oc_TAO__tao_seq_Octet[]`[inline]`

| Initializer:
    {
        TAO_ENCAP_BYTE_ORDER,
        CORBA::tk_octet,

      0,
    }